LanguageDetectorFineGrainedReportListener (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.cmdline.langdetect, class: LanguageDetectorFineGrainedReportListener

# Class LanguageDetectorFineGrainedReportListener

java.lang.Object
opennlp.tools.cmdline.FineGrainedReportListener
opennlp.tools.cmdline.langdetect.LanguageDetectorFineGrainedReportListener

All Implemented Interfaces:
  `LanguageDetectorEvaluationMonitor, EvaluationMonitor<LanguageSample>`

public class LanguageDetectorFineGrainedReportListener extends opennlp.tools.cmdline.FineGrainedReportListener implements LanguageDetectorEvaluationMonitor
Generates a detailed report for the POS Tagger.

It is possible to use it from an API and access the statistics using the provided getters.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class opennlp.tools.cmdline.FineGrainedReportListener

  `opennlp.tools.cmdline.FineGrainedReportListener.ConfusionMatrixLine, opennlp.tools.cmdline.FineGrainedReportListener.Counter, opennlp.tools.cmdline.FineGrainedReportListener.GroupedLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.GroupedMatrixLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.MatrixLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.SimpleLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.Stats`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LanguageDetectorFineGrainedReportListener()`
  Creates a listener that will print to `System.err`
  `LanguageDetectorFineGrainedReportListener(OutputStream outputStream)`
  Creates a listener that prints to a given `OutputStream`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `correctlyClassified(LanguageSample reference, LanguageSample prediction)`
  `void`
  `misclassified(LanguageSample reference, LanguageSample prediction)`
  `void`
  `writeReport()`

  ### Methods inherited from class opennlp.tools.cmdline.FineGrainedReportListener

  `getLabelComparator, getMatrixLabelComparator`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LanguageDetectorFineGrainedReportListener

    public LanguageDetectorFineGrainedReportListener()
    Creates a listener that will print to `System.err`

  - ### LanguageDetectorFineGrainedReportListener

    public LanguageDetectorFineGrainedReportListener(OutputStream outputStream)
    Creates a listener that prints to a given `OutputStream`

- ## Method Details

  - ### misclassified

    public void misclassified(LanguageSample reference, LanguageSample prediction)
    Specified by:
      `misclassified` in interface `EvaluationMonitor<LanguageSample>`

  - ### correctlyClassified

    public void correctlyClassified(LanguageSample reference, LanguageSample prediction)
    Specified by:
      `correctlyClassified` in interface `EvaluationMonitor<LanguageSample>`

  - ### writeReport

    public void writeReport()
    Specified by:
      `writeReport` in class `opennlp.tools.cmdline.FineGrainedReportListener`